﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Sample_WPF
{
    public class ViewModel
    {
        public ObservableCollection<AnnualPriceData> AnnualPriceCollection { get; set; }

        public ViewModel()
        {
            AnnualPriceCollection = new ObservableCollection<AnnualPriceData>();

            AnnualPriceCollection.Add(new AnnualPriceData()
            {
                Year = "2011",
                PriceCollection = new ObservableCollection<Model>()
                {
                    new Model() {Component = "Jewelry", Price = 80 },
                    new Model() {Component = "Electronics", Price = 140  },
                    new Model() {Component = "Research", Price = 150  },
                    new Model() {Component = "Investment", Price = 180  },
                }
            });

            AnnualPriceCollection.Add(new AnnualPriceData()
            {
                Year = "2012",
                PriceCollection = new ObservableCollection<Model>()
                {
                    new Model() {Component = "Jewelry", Price = 87 },
                    new Model() {Component = "Electronics", Price = 157  },
                    new Model() {Component = "Research", Price = 155  },
                    new Model() {Component = "Investment", Price = 192  },
                }
            });

            //AnnualPriceCollection.Add(new AnnualPriceData()
            //{
            //    Year = "2014",
            //    PriceCollection = new ObservableCollection<Model>()
            //    {
            //        new Model() {Component = "Jewelry", Price = 95 },
            //        new Model() {Component = "Electronics", Price = 150  },
            //        new Model() {Component = "Research", Price = 163  },
            //        new Model() {Component = "Investment", Price = 185  },
            //    }
            //});

            //AnnualPriceCollection.Add(new AnnualPriceData()
            //{
            //    Year = "2015",
            //    PriceCollection = new ObservableCollection<Model>()
            //    {
            //        new Model() {Component = "Jewelry", Price = 113 },
            //        new Model() {Component = "Electronics", Price = 165  },
            //        new Model() {Component = "Research", Price = 175  },
            //        new Model() {Component = "Investment", Price = 212  },
            //    }
            //});

            //AnnualPriceCollection.Add(new AnnualPriceData()
            //{
            //    Year = "2016",
            //    PriceCollection = new ObservableCollection<Model>()
            //    {
            //        new Model() {Component = "Jewelry", Price = 123 },
            //        new Model() {Component = "Electronics", Price = 169 },
            //        new Model() {Component = "Research", Price = 184 },
            //        new Model() {Component = "Investment", Price = 224 },
            //    }
            //});
        }
    }
}
